#ifndef DISPLAY_FUNCTIONS_H
#define DISPLAY_FUNCTIONS_H

#include "i2c_functions.h"
#include <stdint.h>

struct DisplayData {
  char topLine[64];
  int value1;
  int value2;
  int value3;
};

struct TextCounter {
  unsigned long startTime;
  int incrementValue;
};

void lcd_init();
void lcd_print_char(char c);
void lcd_print_string(const char *str);
void lcd_update(const DisplayData *displayData, const TextCounter *textCounter);

#endif
